LINUX.ORG.RU

Какие GPRS-модемы искарпоки работают в Ubuntu 11.04


0

1

Привет.

Подскажите, какие GPRS-модемы сегодня заводятся из коробки в последнем релизе убунточки? Первый раз предстоит столкнутся с этим видом оборудования в linux, совсем не хочется устраивать танцы с граблями.

Offtop: Слышал, что зависит от провайдера, что кажется странным.

Спасибо.

Все, от всех изготовителей телефонов, в любом Linux-дистрибутиве даже 5-летней давности. Сам с GPRS с 2003 года, в Linux с 2006. Но и в 2004-м Knoppix определил мою Моторолу.

ZenitharChampion ★★★★★ ()

Из коробки большинство должно работать. Остальные, скорее всего, тоже можно будет завести.
У меня в Debian Squeeze работает Huawei E171, используется только pppd/chat, даже usb-modeswitch не понадобился.

GotF ★★★★★ ()

ХЗ что там в убунте, но в Debian Squeeze успешно завелись все GPRS-модемы, которые видел.

Особенности:

1. Нужно linux >= 2.6.30 (иначе для переключаемых модемов будет секс с modeswitch, остальные же работают нормально даже в 2.4)

2. Если телефон, подключенный по USB - называться он будет /dev/ttyACM0 (хотя возможны и другие варианты, например, /dev/ttyUSB0, но не встречал). Тогда просто звонить в него wvdial-ом

3. Если модем не переключаемый (как, например, Huawei EC168) - при подключении к компьютеру появляется много /dev/ttyUSBx. Узнать, в какой из них звонить - каждый попробовать

4. Если модем переключаемый, то включить его в комп и извлечь появившийся CDROM. Дальше см. 3.

Deleted ()

> Слышал, что зависит от провайдера, что кажется странным.
Некоторые провайдеры модифицируют прошивку таким образом, чтобы та не работала ни с чем, кроме их собственных SIM-карт и фирменных программ-звонилок (последнее достигается периодическим опросом компьютера специальными комбинациями символов).

AITap ★★★★★ ()
Ответ на: комментарий от AITap

Во-первых эта проблема, во-вторых вроде как с некоторыми ZTE не всё радужно. Остальные должны работать.

RussianNeuroMancer ★★★★★ ()

Все, кроме полосатых ZTE.
они залоченны под симку => не работают нормально под линуксом.
правда все решаеться перепрошивкой.

rigiy ★★ ()
Ответ на: комментарий от rigiy

перепрошивать не обязательно. можно просто удалить AUTORUN.FLG и NODOWNLOAD.FLG .

xmikex ★★★★ ()

чтобы завести gprs-модем в 10.04 нужно будет руками поставить usb_modeswitch, в 10.10 и 11.04 работают даже относительно древние zte, не говоря о новых huawei. network manager в большинстве случаев корректно определяет и модель, и опсоса, и даже пакет, в редких случаях необходимо вписать номер дозвона и точку доступа, но ты же осилишь это, верно, тс? пополнять счет и заказывать пакет придется на сайте опсоса, но некоторые личности говорят, что какая-то приблуда от мегафона позволяет это сделать по-человечески, из системы. короче, не ссы, ставь убунту, покупай модем и все будет.

anonymous ()

ZTE от beeline с сексом

flyer вообще не завёл.

pyometra ★★★★★ ()

хуавей 1550 от теле2 не залочен. Работает с симками любых операторов.

kraftello ★★★★★ ()

Ну и большой плюс, что одной командой отключается фейковый сдром. Надумаешь планшет с ведроидом брать - пригодится. Я со своим zte mf686 перешитым с бубном (лоченный билайновский) намучался.

kraftello ★★★★★ ()

Инфа 100%

Работают все даже от Жоппса aka Apple USB Modem!!!!

havelite ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.